import gleam/dynamic/decode.{type Decoder}
import models/waypoint_symbol.{type WaypointSymbol}

pub type JumpGate {
  JumpGate(symbol: WaypointSymbol, connections: List(String))
}

pub fn decoder() -> Decoder(JumpGate) {
  use symbol <- decode.field("symbol", waypoint_symbol.decoder())
  use connections <- decode.field("connections", decode.list(decode.string))
  decode.success(JumpGate(symbol:, connections:))
}
