import gleam/dynamic/decode.{type Decoder}

pub type Meta {
  Meta(limit: Int, page: Int, total: Int)
}

pub fn decoder() -> Decoder(Meta) {
  use limit <- decode.field("limit", decode.int)
  use page <- decode.field("page", decode.int)
  use total <- decode.field("total", decode.int)
  decode.success(Meta(limit: limit, page: page, total: total))
}
